Package wx :: Package py :: Module shell

[frames | no frames]

## Module wx.py.shell

Shell is an interactive text control in which a user types in commands to be sent to the interpreter. This particular shell is based on wxPython's wxStyledTextCtrl.

Sponsored by Orbtech - Your source for Python programming expertise.

Classes
`Shell` | Shell based on StyledTextCtrl.
`ShellFacade` | Simplified interface to all shell-related functionality.
`ShellFrame` | Frame containing the shell component.

Variable Summary
`str` | `__author__` = `"Patrick K. O'Brien <pobrien@orbtech.com>"`
`str` | `__cvsid__` = `'$Id: shell.py,v 1.20 2007/01/17 23:05:14 RD...`
`str` | `__revision__` = `'1.20'`
`str` | `HELP_TEXT` = `'* Key bindings:\nHome Go to th...`
`tuple` | `NAVKEYS` = `(312, 314, 316, 315, 317, 366, 367)`

Variable Details

### __author__

  Type:
    `str`
  Value:

        "Patrick K. O'Brien <pobrien@orbtech.com>"

### __cvsid__

  Type:
    `str`
  Value:

        '$Id: shell.py,v 1.20 2007/01/17 23:05:14 RD Exp $'

### __revision__

  Type:
    `str`
  Value:

        '1.20'

### HELP_TEXT

  Type:
    `str`
  Value:

        '''* Key bindings:
        Home              Go to the beginning of the command or line.
        Shift+Home        Select to the beginning of the command or line.
        Shift+End         Select to the end of the line.
        End               Go to the end of the line.
        Ctrl+C            Copy selected text, removing prompts.
        Ctrl+Shift+C      Copy selected text, retaining prompts.
        Alt+C             Copy to the clipboard, including prefixed prompts.
        ...

### NAVKEYS

  Type:
    `tuple`
  Value:

        (312, 314, 316, 315, 317, 366, 367)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:11:43 2007 | http://epydoc.sf.net